daq.getDevices

ans = 

Data acquisition devices:

index   Vendor    Device ID                     Description                     
----- ----------- --------- ----------------------------------------------------
1     directsound Audio0    DirectSound Primrer Soundaufnahmetreiber
2     directsound Audio1    DirectSound ADAT 1 (1+2) (RME Fireface 802)
3     directsound Audio2    DirectSound ADAT 2 (3+4) (RME Fireface 802)
4     directsound Audio3    DirectSound ADAT 2 (5+6) (RME Fireface 802)
5     directsound Audio4    DirectSound ADAT 1 (3+4) (RME Fireface 802)
6     directsound Audio5    DirectSound ADAT 1 (5+6) (RME Fireface 802)
7     directsound Audio6    DirectSound Analog (11+12) (RME Fireface 802)
8     directsound Audio7    DirectSound Analog (9+10) (RME Fireface 802)
9     directsound Audio8    DirectSound Analog (7+8) (RME Fireface 802)
10    directsound Audio9    DirectSound Mikrofonarray (Realtek Audio)
11    directsound Audio10   DirectSound Analog (3+4) (RME Fireface 802)
12    directsound Audio11   DirectSound ADAT 2 (1+2) (RME Fireface 802)
13    directsound Audio12   DirectSound ADAT 1 (7+8) (RME Fireface 802)
14    directsound Audio13   DirectSound Analog (5+6) (RME Fireface 802)
15    directsound Audio14   DirectSound AES (RME Fireface 802)
16    directsound Audio15   DirectSound ADAT 2 (7+8) (RME Fireface 802)
17    directsound Audio16   DirectSound Analog (1+2) (RME Fireface 802)
18    directsound Audio17   DirectSound Primrer Soundtreiber
19    directsound Audio18   DirectSound Analog (11+12) (RME Fireface 802)
20    directsound Audio19   DirectSound ADAT 1 (1+2) (RME Fireface 802)
21    directsound Audio20   DirectSound ADAT 2 (1+2) (RME Fireface 802)
22    directsound Audio21   DirectSound Lautsprecher / Kopfhrer (Realtek Audio)
23    directsound Audio22   DirectSound Analog (5+6) (RME Fireface 802)
24    directsound Audio23   DirectSound AES (RME Fireface 802)
25    directsound Audio24   DirectSound ADAT 2 (3+4) (RME Fireface 802)
26    directsound Audio25   DirectSound Analog (7+8) (RME Fireface 802)
27    directsound Audio26   DirectSound ADAT 2 (5+6) (RME Fireface 802)
28    directsound Audio27   DirectSound ADAT 1 (7+8) (RME Fireface 802)
29    directsound Audio28   DirectSound Lautsprecher (RME Fireface 802)
30    directsound Audio29   DirectSound ADAT 1 (5+6) (RME Fireface 802)
31    directsound Audio30   DirectSound Analog (9+10) (RME Fireface 802)
32    directsound Audio31   DirectSound Analog (3+4) (RME Fireface 802)
33    directsound Audio32   DirectSound ADAT 2 (7+8) (RME Fireface 802)
34    directsound Audio33   DirectSound ADAT 1 (3+4) (RME Fireface 802)

messgeraet = daq.createSession('directsound');

ch(1)=addAudioInputChannel(messgeraet,'Audio16', '1'); % Analog In 1
ch(2)=addAudioInputChannel(messgeraet,'Audio16', '2'); % Analog In 2 
ch(3)=addAudioInputChannel(messgeraet,'Audio10', '1'); % Analog In 3
ch(4)=addAudioInputChannel(messgeraet,'Audio10', '2'); % Analog In 4
ch(5)=addAudioInputChannel(messgeraet,'Audio13', '1'); % Analog In 5
ch(6)=addAudioInputChannel(messgeraet,'Audio13', '2'); % Analog In 6
ch(7)=addAudioInputChannel(messgeraet,'Audio8', '1'); % Analog In 7
ch(8)=addAudioInputChannel(messgeraet,'Audio8', '2'); % Analog In 8
ch(9)=addAudioInputChannel(messgeraet,'Audio7', '1'); % Analog In 9
ch(10)=addAudioInputChannel(messgeraet,'Audio7', '2'); % Analog In 10
ch(11)=addAudioInputChannel(messgeraet,'Audio6', '1'); % Analog In 11
ch(12)=addAudioInputChannel(messgeraet,'Audio6', '2'); % Analog In 12

messgeraet.Rate = 56200;
fs = messgeraet.Rate;
messgeraet.DurationInSeconds = 30;

[Data, Time] = messgeraet.startForeground;


ch = 

Number of channels: 12
   index Type Device  Channel MeasurementType     Range     Name
   ----- ---- ------- ------- --------------- ------------- ----
   1     audi Audio16 1       Audio           -1.0 to +1.0
   2     audi Audio16 2       Audio           -1.0 to +1.0
   3     audi Audio10 1       Audio           -1.0 to +1.0
   4     audi Audio10 2       Audio           -1.0 to +1.0
   5     audi Audio13 1       Audio           -1.0 to +1.0
   6     audi Audio13 2       Audio           -1.0 to +1.0
   7     audi Audio8  1       Audio           -1.0 to +1.0
   8     audi Audio8  2       Audio           -1.0 to +1.0
   9     audi Audio7  1       Audio           -1.0 to +1.0
   10    audi Audio7  2       Audio           -1.0 to +1.0
   11    audi Audio6  1       Audio           -1.0 to +1.0
   12    audi Audio6  2       Audio           -1.0 to +1.0